Bug 143878 - ocaml-3.07-5 failed build for pre-extras on x86_64
ocaml-3.07-5 failed build for pre-extras on x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ocaml (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-30 13:29 EST by Thorsten Leemhuis
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 12:26:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
suggestion how to fix build failure on x86_64 (903 bytes, patch)
2004-12-30 13:29 EST, Thorsten Leemhuis
no flags Details | Diff
fix x86_64 issues and update to 1.2.0 (4.31 KB, patch)
2005-01-09 13:58 EST, Thorsten Leemhuis
no flags Details | Diff
fix x86_64 build and don't build with hard coded rpath (2.23 KB, patch)
2005-01-22 12:16 EST, Thorsten Leemhuis
no flags Details | Diff
Patch to allow building on x86_64 (857 bytes, patch)
2005-01-29 08:24 EST, Thorsten Leemhuis
no flags Details | Diff

  None (edit)
Description Thorsten Leemhuis 2004-12-30 13:29:13 EST
Created attachment 109194 [details]
suggestion how to fix build failure on x86_64
Comment 1 Thorsten Leemhuis 2004-12-30 13:29:13 EST
ocaml-3.07-5 failed build for pre-extras on x86_64; the attached patch fixed
this; But it contains a minor glitch; If build with rpatch-check in rpmmacros
(standard fedora.us behavior when rpm-tree created with fedora-buildrpmtree) it
gives this error (and I don't know how to avoid this...)

+ /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-buildroot
ERROR: file '/usr/lib64/ocaml/stublibs/dlltkanim.so' contains a standard rpath
'/usr/X11R6/lib64' in [/usr/X11R6/lib64]
ERROR: file '/usr/lib64/ocaml/stublibs/dllgraphics.so' contains a standard rpath
'/usr/X11R6/lib64' in [/usr/X11R6/lib64]
ERROR: file '/usr/lib64/ocaml/stublibs/dlllabltk.so' contains a standard rpath
'/usr/X11R6/lib64' in [/usr/X11R6/lib64]
Fehler: Bad exit status from /var/tmp/rpm-tmp.64380 (%install)
Comment 2 Michael Schwendt 2005-01-04 04:26:16 EST
> +%ifarch x86_64
> +    -x11lib %{_prefix}/X11R6/%{_lib} \
> +%endif

I would make it unconditional and define -x11lib also for i386.

Since the "configure" script is a custom one and doesn't provide a
--disable-rpath option, one way to prevent the RPATHs from being
created would be to patch the linker options in the configure script.
Alternatively, patching the generated Makefiles would be possible, too.
Comment 3 Thorsten Leemhuis 2005-01-09 13:58:17 EST
Created attachment 109537 [details]
fix x86_64 issues and update to 1.2.0

Updated package:
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/imlib2-1.2.0-1.src.rpm
  MD5:	5f664997927eb02a4b25da67ee187585

Spec:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/imlib2.spec

Diffs:
http://www.leemhuis.info/files/fedorarpms/DIFFS.fdr/imlib2-1.1.2-1_diff_vs_imlib2-1.2.0-1.diff


Changelog:
- Ship .la files ue to a bug in kdelibs; see
https://bugzilla.fedora.us/show_bug.cgi?id=2284
http://bugzilla.redhat.com/bugzilla/142244
http://bugs.kde.org/93359
- Use make param LIBTOOL=/usr/bin/libtool - fixes hardcoded rpath on x86_64
- fix hardcoded rpath im Makefiles on x86_64 due to freetype-config --libs
returning "-L/usr/lib64 -Wl,--rpath -Wl,/usr/lib64 -lfreetype -lz"
- Update to 1.2.0 -- fixes several security issues
- remove explicit libdir=_libdir - 1.2.9 does not need it anymore
- removeddemo compile/install;
- use configure param --x-libraries={_prefix}/X11R6/{_lib} and patch to fix
"cannot find -lX11"

Notes: 
- Build tested on x86_64 and i386; did not have time for more yet
Comment 4 Thorsten Leemhuis 2005-01-09 14:00:06 EST
Arrrg -- wrong Tab in browser -- sorry, ignore the whole last comment... 

Will look at ocaml in the next days again...
Comment 5 Thorsten Leemhuis 2005-01-22 12:16:06 EST
Created attachment 110091 [details]
fix x86_64 build and don't build with hard coded rpath

Guys, sorry, I'm late. Was busy otherwise. I looked at it more. This patch
allows building on x86-64 and also removes the hard coded rpath.

U'm not sure removing the rpath is correct. It seems the i386 package also had
a hard coded rpath compiled in. Was this on purpose?

And searching for rpath and ocaml on google tuns up several hits. It seem
upstream is doing that on purpose... Not sure if we should patch it so rpath is
 not used.

Gérard, do you more on this issue? What do you think on the patch?
Comment 6 Thorsten Leemhuis 2005-01-29 08:24:10 EST
Created attachment 110378 [details]
Patch to allow building on x86_64

this fixes x86_64 build without removing the hardcoded rpath (the google hits
make me nervous; and the rpath did also make no problems on i386 where they are
also hardcoded ); ATM we don't consider the rpath as a blocker, but it should
be fixed later somewhen. Michael, if you like it please apply. Build
successfully tested on x86_64 and i386.
Comment 7 Michael Schwendt 2005-01-29 09:52:24 EST
Can't reach bugzilla.fedora.us and hence can't query for open bugs
and/or dependency update requests from Gerard.

And then again, fixing existing packages is one thing. Doing version
upgrades ought to be confirmed by the package owner.
Comment 8 Thorsten Leemhuis 2005-01-29 11:40:30 EST
Just FYI, there is a open ticket (and no, I can't read fedora.us
either; so this link is a IIRC):

https://bugzilla.fedora.us/show_bug.cgi?id=1989

But it's quite old and nothing happend there for a long time. I can
look into this update requests if you wish but I'd like to get this
fixed so I can go over to other x86_64 failed packages (two depend on
this one). ;-)
Comment 9 Thorsten Leemhuis 2005-02-10 12:26:50 EST
Patch from attachment (id=110378) submitted to CVS. Will request build.

Note You need to log in before you can comment on or make changes to this bug.